#!/usr/bin/tcl

# ************************************************************
# AltEPG Project Source Code Version Control
# $FileID: git::root/etc/rc.d/setNic.tcl $
# $Revision: altepg1.0b2-2011-09-04 Brian Mills 2011-09-04 01:52:50 +0100 Added tivo_install.bash $
# Description: set NIC from dialPrefix (not used in live TiVo)
# ************************************************************

set dialPrefix ",#5"

if { [regexp "^,\#\\d$" $dialPrefix all] } {
  puts "matches"
} else {
  puts "doesnt"
}
  
set setNicScript /hack/bin/setNic.bash
set setNicScript ./setNic.bash
set nic ""

switch -exact -- $dialPrefix {
  ",#0" {set nic modem}
  ",#1" {set nic auto}
  ",#2" {set nic pppondss}
  ",#5" {set nic turbonet}
  ",#6" {set nic cachecard}
  ",#7" {set nic tivonet}
  ",#8" {set nic airnet}
  default {set nic ""}
}
if { $nic != "" } {
  set result "error executing $setNicScript"
  catch {set result [exec /bin/bash $setNicScript $nic]}
  puts $result
}
